<?php

namespace EventPortal\Domain\Util;

use EventPortal\Domain\Event\ValueObjects\EventDetails;
use EventPortal\Domain\Event\ValueObjects\PageHeader;

class DelegateRender extends Render
{
    public static function component(string $component, string $context = 'delegate'): self
    {
        return new self($component, $context);
    }

    public function withEventDetails(EventDetails $eventDetails): self
    {
        $this->data['eventDetails']['name'] = $eventDetails->name;
        $this->data['eventDetails']['date'] = $eventDetails->date;

        return $this;
    }

    public function withPageHeader(PageHeader $pageHeader): self
    {
        $this->data['pageHeader']['title'] = $pageHeader->title;
        $this->data['pageHeader']['description'] = $pageHeader->description;
        $this->data['pageHeader']['callToAction'] = $pageHeader->callToAction;

        return $this;
    }
}
