<?php

namespace EventPortal\Http\Controllers\Delegate\Account;

use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Domain\Util\DelegateRender;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Inertia\Response;

class MyDetailsController extends Controller
{
    public function __invoke(): Response
    {
        $user = Auth::user();
        $form = Form::make('delegate.account.show')->model($user)->render();

        return DelegateRender::component('Delegate/Account/Index')
            ->withPageHeader(
                PageHeader::make()
                    ->title("Hi, {$user->full_name}! Welcome to your account.")
                    ->description('View your details and change your password.')
            )
            ->withForm($form)
            ->get();
    }
}
